Skip to content

cart.addons

POST
/universal_api

Requests add-ons to be shown based on the shopper's cart contents.

Authorization

ApiKeyAuth X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Scope: X-API-Key

Header Parameters

X-Bolt-Hmac-Sha256?string

Bolt sends a signed HMAC for hook verification

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/universal_api" \  -H "Content-Type: application/json" \  -d '{}'
{  "event": "cart.addons",  "status": "success",  "data": {    "addons": [      {        "name": "Blue Hat",        "description": " Large blue satin hat with initials embroidered.",        "reference": "1123",        "image_url": "https://boltswagstore.com/inventory/hats/red-hat.png",        "amount": 15000,        "currency": "USD",        "product_page_url": "string"      }    ]  }}